      FUNCTION PEKRTZ( Z, CENT, RK )

C     PEKERIS BRANCH OF THE SQUARE ROOT
C     THIS EXPOSES LEAKY MODES

      COMPLEX*16 PEKRT, Z, A
      REAL*8 CENT, RK, B

      IF ( CENT .GT. RK ) THEN
         PEKRTZ = CDSQRT(Z)
      ELSE
         A = CDSQRT( Z ) 
         B = DIMAG( A )
         B = SIGN( 1.0D0, B )      
         PEKRTZ =  B * A
      ENDIF
     
      RETURN
      END
